List live node-pool catalog for a managed cluster (browser session)
import requests
url = "https://api.platform.ankra.app/org/clusters/managed/{provider}/{cluster_id}/node-pools/catalog"
headers = {"cookie": "ankra_session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'ankra_session='}};
fetch('https://api.platform.ankra.app/org/clusters/managed/{provider}/{cluster_id}/node-pools/catalog', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.platform.ankra.app/org/clusters/managed/{provider}/{cluster_id}/node-pools/catalog \
--cookie ankra_session={
"capabilities": {
"supports_autopilot": true,
"supports_autoscaling": true,
"supports_ha_control_plane": true,
"supports_maintenance_window": true,
"supports_pool_autohealing": true,
"supports_pool_autohealing_update": true,
"supports_pool_public_ip": true,
"supports_pool_public_ip_update": true,
"supports_pool_root_volume": true,
"supports_pool_root_volume_update": true,
"supports_pool_security_group_update": true,
"supports_pool_security_groups": true,
"supports_pool_upgrade_policy": true,
"supports_pool_upgrade_policy_update": true,
"supports_pool_zone_update": true,
"supports_pool_zones": true,
"supports_private_endpoint": true,
"supports_spot": true,
"supports_stop_start": true,
"supports_retention_policy": true
},
"incomplete": true,
"incomplete_regions": [
"<string>"
],
"pricing_unavailable": true,
"private_networks": [
{
"id": "<string>",
"name": "<string>",
"provider_reference": "<string>",
"region": "<string>"
}
],
"root_volume_types": [
"<string>"
],
"security_groups": [
{
"id": "<string>",
"name": "<string>",
"provider_reference": "<string>",
"region": "<string>",
"zone": "<string>"
}
],
"sizes": [
{
"category": "<string>",
"disk_gb": 123,
"gpu_count": 123,
"gpu_model": "<string>",
"is_gpu": true,
"label": "<string>",
"memory_gb": 123,
"price_monthly": 123,
"region": "<string>",
"slug": "<string>",
"vcpus": 123
}
],
"zones": [
{
"region": "<string>",
"slug": "<string>"
}
]
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}Managed Clusters
List live node-pool catalog for a managed cluster (browser session)
Browser session authentication; RBAC permission clusters.read. For Kapsule, provider_cluster_id is the opaque region-qualified regions/{region}/clusters/{id} reference. CNI is immutable. Imported/unknown provenance is disconnect-only; provider deletion is allowed by default only for created clusters.
GET
/
org
/
clusters
/
managed
/
{provider}
/
{cluster_id}
/
node-pools
/
catalog
List live node-pool catalog for a managed cluster (browser session)
import requests
url = "https://api.platform.ankra.app/org/clusters/managed/{provider}/{cluster_id}/node-pools/catalog"
headers = {"cookie": "ankra_session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'ankra_session='}};
fetch('https://api.platform.ankra.app/org/clusters/managed/{provider}/{cluster_id}/node-pools/catalog', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.platform.ankra.app/org/clusters/managed/{provider}/{cluster_id}/node-pools/catalog \
--cookie ankra_session={
"capabilities": {
"supports_autopilot": true,
"supports_autoscaling": true,
"supports_ha_control_plane": true,
"supports_maintenance_window": true,
"supports_pool_autohealing": true,
"supports_pool_autohealing_update": true,
"supports_pool_public_ip": true,
"supports_pool_public_ip_update": true,
"supports_pool_root_volume": true,
"supports_pool_root_volume_update": true,
"supports_pool_security_group_update": true,
"supports_pool_security_groups": true,
"supports_pool_upgrade_policy": true,
"supports_pool_upgrade_policy_update": true,
"supports_pool_zone_update": true,
"supports_pool_zones": true,
"supports_private_endpoint": true,
"supports_spot": true,
"supports_stop_start": true,
"supports_retention_policy": true
},
"incomplete": true,
"incomplete_regions": [
"<string>"
],
"pricing_unavailable": true,
"private_networks": [
{
"id": "<string>",
"name": "<string>",
"provider_reference": "<string>",
"region": "<string>"
}
],
"root_volume_types": [
"<string>"
],
"security_groups": [
{
"id": "<string>",
"name": "<string>",
"provider_reference": "<string>",
"region": "<string>",
"zone": "<string>"
}
],
"sizes": [
{
"category": "<string>",
"disk_gb": 123,
"gpu_count": 123,
"gpu_model": "<string>",
"is_gpu": true,
"label": "<string>",
"memory_gb": 123,
"price_monthly": 123,
"region": "<string>",
"slug": "<string>",
"vcpus": 123
}
],
"zones": [
{
"region": "<string>",
"slug": "<string>"
}
]
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}Authorizations
Path Parameters
Response
Successful response